{
	"name": "table/local/order/terms_of_payment.json",
	"table_name": "terms_of_payment",
	"table_prefix": "top",
	"record_type": [""],
	"table_name_language": {
		"": "Terms of payment"
	},
	"default_field": "table/prf/default_field.json",
	"default_order": [
		{
			"field": "terms_of_payment_id",
			"order": ">"
		}
	],
	"calculated_field": [],
	"field": [
		{
			"field_name": "terms_of_payment_id",
			"field_type": "varchar",
			"field_length": 40,
			"constraint": ["primary key"],
			"not_allowed_value": [""]
		},
		{
			"field_name": "discount_days",
			"field_type": "integer"
		},
		{
			"field_name": "discount_percent",
			"field_type": "double"
		},
		{
			"field_name": "info",
			"field_type": "text"
		},
		{
			"field_name": "name",
			"field_type": "varchar",
			"field_length": 80,
			"not_allowed_value": [""]
		},
		{
			"field_name": "net_days",
			"field_type": "integer"
		}
	],
	"extra_field": [
		{
			"field_name": "json_data.target_date_difference",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.transfer_id",
			"field_type": "varchar",
			"field_length": 120
		},
		{
			"field_name": "json_data.export_code",
			"field_type": "varchar",
			"field_length": 24
		},
		{
			"field_name": "json_data.customer_project",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "json_data.ar_code",
			"field_type": "varchar",
			"field_length": 12
		},
		{
			"field_name": "json_data.project_id",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "json_data.no_due_date",
			"field_type": "boolean"
		},
		{
			"field_name": "json_data.transfer_state",
			"field_type": "integer"
		}
	]
}
